curl --request PUT \
--url https://api.kameleoon.com/studio-recommender-blocks/{studioRecommenderBlockId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"siteId": 123,
"code": "<string>",
"name": "<string>",
"recommenderBlockId": 123,
"studioCss": "<string>",
"studioTemplate": "<string>"
}
'{
"siteId": 123,
"code": "<string>",
"createdById": 123,
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"id": 123,
"name": "<string>",
"recommenderBlockId": 123,
"studioCss": "<string>",
"studioTemplate": "<string>"
}Update recommender block with given id
curl --request PUT \
--url https://api.kameleoon.com/studio-recommender-blocks/{studioRecommenderBlockId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"siteId": 123,
"code": "<string>",
"name": "<string>",
"recommenderBlockId": 123,
"studioCss": "<string>",
"studioTemplate": "<string>"
}
'{
"siteId": 123,
"code": "<string>",
"createdById": 123,
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"id": 123,
"name": "<string>",
"recommenderBlockId": 123,
"studioCss": "<string>",
"studioTemplate": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the studio recommender block object
The website id that an studio recommender block belongs to
Studio recommender block code that is associated with this recommender block
Studio recommender block name that is associated with this recommender block
Recommender block id that is associated with this recommender block
Studio recommender block Css that is associated with this recommender block
Studio recommender block data that is associated with this recommender block
OK
The website id that an studio recommender block belongs to
Studio recommender block code that is associated with this recommender block
Account id to whom created this recommender block
Date and time a record is created
Date and time a record is modified
The unique identifier of the given studio recommender block
Studio recommender block name that is associated with this recommender block
Recommender block id that is associated with this recommender block
Studio recommender block Css that is associated with this recommender block
Studio recommender block data that is associated with this recommender block
Was this page helpful?